Hi
I just upgraded from 11.2 to 11.3 and are facing now this mex compiling problem.
The error output is:
Code:
/usr/lib/gcc/i586-suse-linux/4.5/cc1: /usr/local/matlab/R2009a/sys/os/glnx86/libstdc++.so.6: version `GLIBCXX_3.4.14' not found (required by /usr/lib/libppl_c.so.2)
/usr/lib/gcc/i586-suse-linux/4.5/cc1: /usr/local/matlab/R2009a/sys/os/glnx86/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/libppl_c.so.2)
/usr/lib/gcc/i586-suse-linux/4.5/cc1: /usr/local/matlab/R2009a/sys/os/glnx86/libstdc++.so.6: version `GLIBCXX_3.4.14' not found (required by /usr/lib/libppl.so.7)
/usr/lib/gcc/i586-suse-linux/4.5/cc1: /usr/local/matlab/R2009a/sys/os/glnx86/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/libppl.so.7)
/usr/lib/gcc/i586-suse-linux/4.5/cc1: /usr/local/matlab/R2009a/sys/os/glnx86/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by /usr/lib/libgmpxx.so.4)

    mex: compile of ' "littleCprogram.c"' failed.
My first guess is that gcc 4.5 was not installed before and is now causing problems
Any idea how I could switch to an older gcc or make this glibcXX found again?

my installed gcc libraries are:
Code:
rpm -qa |grep gcc
gcc41-info-4.1.2_20070115-16.1.i586
llvm-gcc-2.5-0.pm.3.8.i586
gcc43-4.3.4_20091019-3.1.i586
gcc45-4.5.0_20100604-1.12.i586
gcc33-3.3.3-22.1.i586
gcc41-4.1.2_20070115-16.1.i586
gcc-4.5-4.2.i586
libgcc45-4.5.0_20100604-1.12.i586